/*
 * @(#)ComplexConfigSection.java
 *
 * Copyright (c) 2002 Sunwest Technologies.
 * http://www.SunwestTek.com
 */

package cfgtest;

import com.sunwesttek.util.config.*;
import java.util.*;

/**
 * This class shows how to define a configuration section
 * with configuration fields of complex data types.
 * <p>
 * 'arrayField' is a configuration field of type 'short' array and 
 * is being defined as a public data member.
 * <p>
 * 'vectorField' is a configuration field of type 'Vector' and is
 * being defined as a public data member.
 */
public class ComplexConfigSection extends ConfigSection {
	// configuration field of type 'short[]'
	public short[] arrayField;
	
	// configuration field of type 'Vector'
	public Vector vectorField;

	// public default constructor
	public ComplexConfigSection() {
		setDescription("This is a complex config section.");

		arrayField = new short[3];
		vectorField = new Vector();
	}

	// convenient method to print field values
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("Description: " + getDescription() + "\n");

		sb.append("ArrayField:\n");
		for (int i=0; i<arrayField.length; i++) {
			sb.append("  arrayField[" + i + "]: " + arrayField[i] + "\n");
		}

		sb.append("VectorField:\n");
		for (Enumeration e=vectorField.elements(); e.hasMoreElements();) {
			sb.append("  vectorField: " + e.nextElement() + "\n");
		}

		return sb.toString();
	}
}
