/*
 * @(#)SimpleConfigSection.java
 *
 * Copyright (c) 2002 Sunwest Technologies.
 * http://www.SunwestTek.com
 */

package cfgtest;

import com.sunwesttek.util.config.*;

/**
 * This class shows how to define a configuration section
 * with configuration fields of primitive data types.
 * <p>
 * 'shortField' is a configuration field of type 'short' and is
 * being defined as a public data member.
 * <p>
 * 'stringField' is a configuration field of type String and is
 * being defined as a pair of get/set functions.
 */
public class SimpleConfigSection extends ConfigSection {
	private String stringField;

	// configuration field defined as a
	// public data member
	public short shortField;
	
	// public default constructor
	public SimpleConfigSection() {
		setDescription("This is a simple config section.");
	}
		
	// configuration field defined as a pair
	// of get/set functions
	public String getStringField() {
		return stringField;
	}

	public void setStringField(String stringField) {
		this.stringField = stringField;
	}

	// convenient method to print field values
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("Description: " + getDescription() + "\n");
		sb.append("shortField: " + shortField  + "\n");
		sb.append("stringField: " + stringField  + "\n");

		return sb.toString();
	}
}
