/*
 * @(#)ConfigServer.java
 *
 * Copyright (c) 2002 Sunwest Technologies.
 * http://www.SunwestTek.com
 */

package cfgtrans;

import com.sunwesttek.util.config.*;
import cfgtest.*;
import java.io.*;
import java.net.*;

/**
 * This class shows how to use XMLConfig to serilize and 
 * transfer configuration parameters between network hosts.
 */
public class ConfigServer {
	// default port
	public static final int PORT = 1234;

	public static void main(String[] args) {
		try {
			ServerSocket serverSock = new ServerSocket(PORT);
			Socket clientSock = serverSock.accept();
			BufferedReader in = new BufferedReader(
					new InputStreamReader(clientSock.getInputStream()));

			// receive config from client host
			XMLConfig xc = XMLConfig.load(in, true);
			System.out.println("Received config from '" + 
					clientSock.getInetAddress().getHostName() + "':");
			System.out.println(xc.getSection(0));

			in.close();
			clientSock.close();
			serverSock.close();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
